## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelConsoleCommand Struct Reference

A single command for the CEL console. More...

`#include <tools/celconsole.h>`

List of all members.

## Public Member Functions

virtual void | Execute (const csStringArray &args)=0
| Execute this command with all the arguments in a tokenized form.
virtual const char * | GetCommand ()=0
| Get the command string.
virtual const char * | GetDescription ()=0
| Get a short description of this command.
virtual void | Help ()=0
| Show a long usage help on the console.

## Detailed Description

A single command for the CEL console.

Implement this if you want to add commands to the CEL console.

Definition at line 35 of file celconsole.h.

## Member Function Documentation

virtual void iCelConsoleCommand::Execute | ( | const csStringArray & | args | ) | `[pure virtual]`

Execute this command with all the arguments in a tokenized form.

Note that the command string itself will be at position 0 in the 'args' array.

virtual const char* iCelConsoleCommand::GetCommand | ( |  | ) | `[pure virtual]`

Get the command string.

virtual const char* iCelConsoleCommand::GetDescription | ( |  | ) | `[pure virtual]`

Get a short description of this command.

virtual void iCelConsoleCommand::Help | ( |  | ) | `[pure virtual]`

Show a long usage help on the console.

The documentation for this struct was generated from the following file:

- tools/celconsole.h